Subject: ANNOUNCE: libnet-1.06
From: Graham Barr <[email-masked]>
Date: 10 Nov 1997 04:40:55 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I have just uploaded to PAUSE a new release of the libnet distribution,
it should appear on CPAN mirror sites soon

This release contains a lot of changes from the previous release,
probably
too many, I would strongly suggest testing any scripts with this release
before you install it.

Please also read the RADME.config file in the distribution.

libnet is a collection of perl modules which encapsulate the usage
of various protocols used in the internet community. These include

  Net::FTP     (RFC959)
  Net::SMTP    (RFC821)
  Net::Netrc
  Net::Cmd
  Net::Domain
  Net::Telnet  (RFC854)
  Net::Time    (RFC867 & RFC868)
  Net::NNTP    (RFC977)
  Net::POP3    (RFC1939)
  Net::SNPP    (RFC1861)
  Net::PH
  Net::Config

To install libnet you ***MUST*** have the following modules installed

  IO::Socket

This release contains the following changes to the previous release

*** Release 1.06

Fri Oct 31 1997 <[email-masked]> (Graham Barr)

	Net::FTP
	- Fixed undef warning in login() when $ruser does not exist in .netrc
	- Added new supported() method
	- DESTORY now sends quit command
	- corrected OOB commands sent prior to an abort command
	- close will call abort unless eof seen
	- documentation updates
	
	Net::FTP::datacon
	- abort() will read a byte if non have been read
	
	Net::FTP::A
	- read was using arg#3 as an offset ?? change to use as timeout, this
	  now matches Net::FTP::I::read and the docs
	- speedup to read()

Fri Sep 26 1997 <[email-masked]> (Graham Barr)

	Net::Cmd
	- modified ->response() to return CMD_ERROR if ->getline() returns
	  undef

Sun Sep 14 1997 <[email-masked]> (Graham Barr)

	Small tweak to Makefile,PL to remove requirement for Data::Dumper

Wed Oct  1 1997
	Net::PH
	- re-wrote crypt code. now should be 2-3x faster.

	Net::SNPP
	- added _SITE method
	- added parse_response, so that SNPP style multi-line responses
	  can be caught.

	Net::SNPP::HylaFax
	- new module added, defines methods that HylaFax uses. Implemented
	  using _SITE -- *** NOTE there is no docs for this module yet!!!!

Thu Sep 11 1997

	- Removed Net::Telnet, users should now use Net::Telnet by Jay Rogers.

	Configure, Makefile.PL
	- More changes to make Configure more robust (I hope :-)

	t/nntp.t
	- Removed the call to ->list(), which was an insane thing to
	  do anyway (Thanks Tom C.).

	Net::FTP
	- Modified pasv_xfer to use ->stor instead of ->stou
	- Fix responce typo in sub cmd
	- Modified to use AutoLoader to speed up load time

        Net::PH
        - Fixed _arg_hash to pass "" when the value is empty

	Net::POP3
	- Added apop and uidl methods

It should be avaliable on mirror sites soon from

	http://www.perl.com/CPAN/authors/Graham_Barr/

Comments are always very welcome.

Copyright 1996 Graham Barr. All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Share and Enjoy!
Graham <[email-masked]>